\section{Discussion and Conclusions}\label{sec:discussion}

%\subsection{Conclusions}\label{sec:conclusions}

We have presented a framework for truss topology design subject to harmonic loads. 
A number of questions are left open.

\subsection{Solving the Lagrange relaxation directly}
For instance, let us recall the Lagrange relaxation \eqref{eqn:lag_relax}:
\begin{equation}
	\begin{split}
		\underset{a,\theta,v,X}{\min} ~&~ \theta+\eta\tr\{X-F^TL(a)^\dagger F\}\\
		\text{ s.t } & \left\{\begin{array}{l}
			a_i\geq0,m-q^Ta\geq 0\\
			\begin{pmatrix}
			    X & F^T\\
                F & L(a)
			\end{pmatrix}\succeq 0\\
			P_0(\theta)+\sum_j\tr\{C_j^T X\} \tilde{P}_j+P_3(v)\succeq 0\\
		\end{array}\right.
	\end{split}
\end{equation}
For any $\eta > 0$, the objective function is the difference of two convex functions
\begin{equation}
    \begin{split}
        f_\eta(a,\theta,v,X)&=\theta+\eta\tr\{X\}\\
        g_\eta(a,\theta,v,X)&=\eta\tr\{F^TL(a)^\dagger F\}
    \end{split}
\end{equation}
For the convexity of $g_\eta$, we can refer to Chapter 2 %by professor W. Achtziger of the book 
of \cite[pages 57--100]{rozvany_topology_1997}. Whenever $(a,\theta,v,X)$ are feasible, %$L(a)\succeq 0$ is thus the minimal potential energy solution described in the chapter can be employed and 
we can compute the gradient of $g$ in the interior of the feasible set. Let $B$ be a barrier function of the feasible set
\begin{equation}
    \left\{\begin{array}{l}
         a_i\geq0,m-q^Ta\geq 0  \\
         \begin{pmatrix}
             X & F^T\\
             F & L(a)
         \end{pmatrix}\succeq 0\\
         P_0(\theta)+\sum_j\tr\{C_j^T X\} \tilde{P}_j+P_3(v)\succeq 0
    \end{array}\right.
\end{equation}
We might be able to solve \eqref{eqn:lag_relax} globally as $f_\eta+\mu B-g_\eta$ is still the difference of two convex functions for parameter $\mu$ and $\eta$. \SKc{Global DC programming is still rather difficult, it is commonly multimodal. It could be interesting to try a nonlinear SDP solver on~\eqref{eqn:lag_relax}}

\subsection{Tightness of the Lagrange relaxation}
The Lagrange relaxation \eqref{eqn:lag_relax} could be tight, provided that it is solved directly. Let us consider the following general constrained optimization problem,
\begin{equation}
    \begin{split}
        \underset{x\in X}{\min}~&~f(x)\\
        \text{ s.t. }& g(x)\leq 0
    \end{split}
\end{equation}
where $X$ is a convex set. The Lagrange relaxation for any $\eta\geq 0$ reads
\begin{equation}\tag{$\mathcal{L}(\eta)$}\label{eqn:lag_relax_general}
    \begin{split}
        \underset{x\in X}{\min}~&~f(x)+\eta g(x)\\
    \end{split}
\end{equation}
Provided that the problem \eqref{eqn:lag_relax_general} can be solved globally for $\eta^*$ and at the optimal solution $x^*$ the inequality $g(x^*)=0$ is active, then for all $x\in X$ such that $g(x)\leq 0$, there is
\begin{equation}
    f(x) \geq f(x)+\underbrace{\eta^* g(x)}_{\leq 0}\geq f(x^*)+\eta^* g(x^*)=f(x^*) 
\end{equation}
Since $x^*$ is feasible for the general problem under constraint $g(x)\leq 0$, $x^*$ is a global solution of the general problem. \SKc{$g$ being nonnegative is critical here}

We recall the problem introduced in Section \ref{sec:lag_relax},
\begin{equation}
    \begin{split}
		\underset{a,\theta,v,X}{\min} ~&~ \theta\\
		\text{ s.t } & \left\{\begin{array}{l}
			a_i\geq0,m-q^Ta\geq 0\\
			\begin{pmatrix}
			    X & F^T\\
                F & L(a)
			\end{pmatrix}\succeq 0\\
			\tr\{X-F^TL(a)^\dagger F\}\leq 0\\
			P_0(\theta)+\sum_j\tr\{C_j^T X\} \tilde{P}_j+P_3(v)\succeq 0\\
		\end{array}\right.
	\end{split}
\end{equation}
The trace inequality constraint $\tr\{X-F^TL(a)^\dagger F\}\leq 0$ cannot be strictly feasible since it results from the second LMI constraint that $\tr\{X-F^TL(a)^\dagger F\}\geq 0$. If one solution of its Lagrange relaxation is feasible for the trace inequality constraint then the constraint must be active thus it is a global solution of the equivalent form of \eqref{eqn:general_minimization}.
As we observed in the numerical experiments of the penalized relaxation, the trace equality is satisfied provided that $\eta$ is large enough. \SKc{Yes, as it is essentially an $l1$ constraint, which is known to be exact. Again the nonnegativity is critical here, and a nice observation.} We might be able to obtain theoretical results about the global optimality of this approach, if the Lagrange relaxation could be solved directly.

